Subject: For beginners or expert singers

From: Full Vocal Range <[email-masked]>
Date: Fri, 09 Jan 2015 07:45:08 -0800

Passion For Singing? How to Sing Better Right Now...

Hi Krb-wg-archive,

As one of the top vocal coaches in the country, I’m frequently asked, "What are your top singing tips for vocalists?" Well, I could rattle off a long list, and yammer on for hours.

I’m a nerd’s nerd when it comes to vocals, and I have a long list of favorite tricks up my sleeve from more than 20 years of coaching singers... But I love a challenge - so I spent the last 2 years puttting all my knowlegge togeter for you to refereence, at any time.

www.theVoice/singing-lesson-1.html?re?8456454

These lessons are for beginners and the advanced singers alike.

View Lessons here

Sincerely,

Aaron Anastasi

P.S. - Watch for me on the next season of Idol:

www.idol/lesson-1-singing.html?us-634538675467

LA Recording | 4922 Milden Rd | Martines | CA | 94553 | Usub Setting

I'm really hoping the answer is something fascinating about random generation of floating-point variates, rather than "LCG has low entropy in the low bits".SneftelDec 23 '14 at 18:00

4

I am very curious, what is the purpose of a "1 bit hash for double"? I seriously can't think of any legitimate application of such a requirement.corsiKaDec 23 '14 at 22:29

2

@corsiKa In geometry computations there are often two cases we're looking for to choose from two possible answers (e.g. is point to the left or to the right of the line?), and sometimes it introduces the third, degenerate case (point is right on the line), but you only have two available answers, so you have to pseudorandomly choose one of the available answers in that case. The best way I could think of is to take a 1 bit hash of one of the given double values (remember, those are geometry computations, so there are doubles all over the place).SuseiDec 23 '14 at 22:47

1

@corsiKa (comment divided into two because it is too long) We could start at something simpler likedoubleValue % 1 > 0.5, but that would be too coarse-grained since it can introduce visible regularities in some cases (all the values are within range of length 1). If that's too coarse-grained, then should we probably try smaller ranges, likedoubleValue % 1e-10 > 0.5e-10? Well, yes. And taking just the last bit as a hash of adoubleis what happens when you follow this approach till the end, with the least possible modulo.SuseiDec 23 '14 at 22:48

1

@kmote then you'd still have the heavily biased least significant bit, and the other bit doesn't compensate for it - in fact it is also biased towards zero (but less so), for exactly the same reason. So the distribution would be about 50, 12.5, 25, 12.5.(lastbit & 3) == 0would work though, odd as it is.haroldDec 31 '14 at 10:35